<div class="container">
  <h1>Ajouter un Médecin Generaliste</h1>
  <br>
  <form (ngSubmit)="saveForm()">

    <div class="form-group row">
      <label for="nom" class="col-sm-3 col-form-label">Nom :</label>
      <div class="col-sm-7">
        <input id="nom" type="text" class="form-control" name="nom" required placeholder="Nom:" minlength="3" [(ngModel)]="medecin.nom">
      </div>
    </div>

    <div class="form-group row">
      <label for="prenom" class="col-sm-3 col-form-label">Prénom :</label>
      <div class="col-sm-7">
        <input id="prenom" type="text" class="form-control" name="prenom" required placeholder="Prenom:" minlength="3" [(ngModel)]="medecin.prenom">
      </div>
    </div>

    <div class="form-group row">
      <label for="date" class="col-sm-3 col-form-label">Date De Naissance :</label>
      <div class="col-sm-7">
        <input id="date" type="date" class="form-control" name="date" required placeholder="1995-03-23" [(ngModel)]="medecin.dateNaissance">
      </div>
    </div>

    <div class="form-group row">
      <label for="email" class="col-sm-3 col-form-label">Email :</label>
      <div class="col-sm-7">
        <input id="email" type="email" class="form-control" name="email" required [(ngModel)]="medecin.email">
      </div>
    </div>

    <div class="form-group row">
      <label for="code" class="col-sm-3 col-form-label">Code Public :</label>
      <div class="col-sm-7">
        <input id="code" type="text" class="form-control" name="code" required [(ngModel)]="medecin.codePublic">
      </div>
    </div>

    <div class="form-group row">
      <label for="photo" class="col-sm-3 col-form-label">Photo :</label>
      <div class="col-sm-7">
        <input id="photo" type="file" class="form-control" name="photo" required [(ngModel)]="medecin.photo">
      </div>
    </div>

    <div style="text-align: center">
      <button type="submit" class="btn btn-success" >Submit</button>
    </div>
  </form>
</div>
